Get contract schema.
curl --request GET \
--url https://{environment}.garden.finance/v2/schemas/{name} \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/schemas/{name}"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/schemas/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"result": {
"schema": [
{}
]
}
}Assets & Routes
Schema
GET
/
schemas
/
{name}
Get contract schema.
Retrieve the schema with the given name.
Authorizations
Path Parameters
Available options:
evm:htlc_erc20, evm:htlc, solana:htlc, starknet:htlc_erc20, solana:htlc_spltoken Was this page helpful?
⌘I